;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;		Program	Config
;01.Code protection selection:	Not Protect
;02.PROM Re-use control:		Not Re-use 
;03.LV reset mode: 				LVR threshold is 2.0,always enable
;04.clock source:				Fast Crystal
;05.External pin reset enable:  Disable External pin Reset
;06.WDT reset enable			Enable WDT Reset
;07.IRC Frequency select		Not used
;08.IRCF						Not used
;----------------------------------
;File Note:
;Name: cmp.asm 
;check sum: 3043 H
;Date 2010/9/15
;----------------------------------
;Program Note:
;Program is to use the internal reference voltage, 
;When the voltage is lower than the reference value,
;Interrupt will occur
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#include "TM57PE10_en.inc"  
				
		org		00h	  
		goto	start 
		
		org		01h 
		goto	isr

;-------------------------------- 
		org		50h	 
start: 								;interrupt Initialization 
		movlw	00000000b
		movwf	INTF				;close all interrupt flag
		
        movlw	00100000b
        movwf 	INTIE 				;close all interrupt
        
        movlw	11111111b
		movwf	PBD       			;PB1=1

		movlw	11111101b       	
		movwr	PBE					;PB1 is input
		
        movlw	11111111b 
        movwr 	PB_PULL				;disable up-pull  

        movlw	00000110b       	;Bit6~Bit4 AD clock PSC 
        movwr	TIM0_CN    			;Bit3~Bit0 TM0PSC

     	movlw   10101000b
     	movwr	CMP_CONTROL     	;bit7:enable cmp  
     	                            ;bit6:interrupt edge is falling dege 
     								;bit4:select IN0-                   	
                         			;bit(0-3):set internal vref                   				
main:  
        clrwdt
		nop 

		goto	main
;--------------------------------
;		interrupt
;--------------------------------
isr:
 		movwf	ACC_Save
		movfw	STAT
		movwf	Status_Save

      	btfss	INTF,CMPIE
      	goto 	isr_end			;Interrupt flag check
      	
cmp_int:      					;cmp interrupt0	  
		movlw	11011111b
		movwf	INTF 
		
isr_end:
		movfw	Status_Save
		movwf	STAT  
		movfw	ACC_Save 
		reti 
	
        end