;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;		Program	Config
;01.Code protection selection:	Not Protect
;02.PROM Re-use control:		Not Re-use 
;03.LV reset mode: 				LVR threshold is 2.0,always enable
;04.clock source:				Fast Crystal
;05.External pin reset enable:  Disable External pin Reset
;06.WDT reset enable			Enable WDT Reset
;07.IRC Frequency select		Not used
;08.IRCF						Not used
;----------------------------------
;File Note:
;Name: ext_int.asm 
;check sum: 320C H
;Date 2010/9/15
;----------------------------------
;Program Note:
;external interrupt pin is PA0 PA7 PB0
;i/o state must 1
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#include "TM57PE10_en.inc"

		org		00h	  
		goto	start 
		
		org		01h 
		goto	isr

;----------------------------------- 
		org		10h	 
start: 								;interrupt Initialization 
		movlw	00000000b
		movwf	INTF				;close all interrupt flag
		
        movlw	00000000b
        movwf 	INTIE 				;close all interrupt
        
        movlw	10000001b			
        movwf	PAD  	            ;PA0 and PA7 state is 1
        			
		movlw 	01111110b
		movwr 	PAE  				;PA0 and PA7 is input 
		
		movlw	01111110b
		movwr	PA_PULL             ;PA0 and PA7 set up-pull
		
        movlw 	00000001b
		movwf 	PBE           		;PB0 state is 1
		       
        movlw 	11111110b
		movwr 	PBE           		;PB0 is input
		
        movlw	11111110b
		movwr	PB_PULL             ;PB0 is up-pull
		
		movlw	00000111b
        movwf 	INTIE 				;enable ext int0,1,2
        						
main:  
        clrwdt
		nop 

		goto	main
;-----------------------------------
;		interrupt
;-----------------------------------
isr:
 		movwf	ACC_Save
		movfw	STAT
		movwf	Status_Save

      	btfsc	INTF,0
      	goto 	int0_int			;external interrupt0

      	btfsc	INTF,1
      	goto 	int1_int			;external interrupt1
      	
      	btfsc	INTF,2
      	goto 	int2_int 			;external interrupt2 
      	goto	isr_end 			
;-----------------------------------   
int0_int:      					  
		movlw	11111110b
		movwf	INTF  

        goto	isr_end
int1_int:    
		movlw	11111101b
		movwf	INTF   

        goto	isr_end  
int2_int:           
		movlw	11111011b
		movwf	INTF 

isr_end:
		movfw	Status_Save
		movwf	STAT  
		movfw	ACC_Save 
		reti 
	
        end