;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;		Program	Config
;01.Code protection selection:	Not Protect
;02.PROM Re-use control:		Not Re-use 
;03.LV reset mode: 				LVR threshold is 2.0,always enable
;04.clock source:				Fast Crystal
;05.External pin reset enable:  Disable External pin Reset
;06.WDT reset enable			Disable WDT Reset
;07.IRC Frequency select		Not used
;08.IRCF						Not used
;----------------------------------
;File Note:
;Name: mode_conv.asm 
;check sum: 02A5 H
;Date 2010/9/15
;----------------------------------
;Program Note:
;Procedures described in the fast_mode and 
;sleep mode idle_mode slow_mode the clock settings 
;In the wake up file,Describes the use of sleep.
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#include "TM57PE10_en.inc"  
	
		org		00h	  
		goto	start 
		
		org		10h	 
start: 								
		movlw	00000000b
		movwf	INTF				;close all interrupt flag
		
        movlw	00000000b
        movwf 	INTIE 				;close all interrupt

slow_mode: 
      	bsf		RES_CN,SUBE         ;Enable SUB clock 
      	bsf		RES_CN,SELSUB       ;Switch to SUB clock
      	bsf		RES_CN,STPFCK       ;Stop Fast clock
      	goto	main      	
fast_mode:
     	bcf		RES_CN,STPFCK     	;Enable Fast clock
		bcf		RES_CN,SELSUB     	;Switch to Fast clock 
		bcf		RES_CN,SUBE       	;Stop Slow clock 
		goto	main
idle_mode:                     		;can not wake up
       	bsf		RES_CN,SUBE
		SLEEP   
		
		goto	main
sleep_mode:             		
		SLEEP                       ;stop FAST clock and SLOW clock
main:  
		nop  
				

		goto	main
        end