;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;		Program	Config
;01.Code protection selection:	Not Protect
;02.PROM Re-use control:		Not Re-use 
;03.LV reset mode: 				LVR threshold is 2.0,always enable
;04.clock source:				Fast Crystal
;05.External pin reset enable:  Disable External pin Reset
;06.WDT reset enable			Enable WDT Reset
;07.IRC Frequency select		Not used
;08.IRCF						Not used
;----------------------------------
;File Note:
;Name: system_init.asm 
;check sum: 0A55 H
;Date 2010/9/15
;----------------------------------
;Program Note:
;if the I/O Port is not uesd,set to output 0,disable up-pull.   
;And then close all interrupts and  clear all RAM
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#include "TM57PE10_en.inc"  
				
		org		00h	  
		goto	start 

		org		10h	 
start: 								;system Initialization 
        movlw	00000000b
		movwf	PAD
		 
		movlw	00000000b
		movwf	PBD          		;I/O out=0	 
		
		movlw	11111111b       	
		movwr	PAE					
		
		movlw	11111111b       	
		movwr	PBE					;I/O State is input
		
        movlw	11111111b 
        movwr 	PA_PULL				
         
        movlw	11111111b 
        movwr 	PB_PULL				;disable up-pull 
        
		movlw	00000000b
		movwf	INTF				;close all interrupt flag
		
        movlw	00100000b
        movwf 	INTIE 				;close all interrupt
        
		movlw	0x20
		movwf	FSR	
clr_bank0:		
		movlw	0x00
		movwf	INDF
		incf	FSR,1
		movfw	FSR
		xorlw	0x4f
		btfss	STAT,2
		goto	clr_bank0
		movlw	0x00
		movwf	INDF  				;clear all RAM   		
                 				
main:  
        clrwdt
		nop 

		goto	main
		
        end