;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;		Program	Config
;01.Code protection selection:	Not Protect
;02.PROM Re-use control:		Not Re-use 
;03.LV reset mode: 				LVR threshold is 2.0,always enable
;04.clock source:				Fast Crystal
;05.External pin reset enable:  Disable External pin Reset
;06.WDT reset enable			Enable WDT Reset
;07.IRC Frequency select		Not used
;08.IRCF						Not used
;----------------------------------
;File Note:
;Name: timer0.asm
;check sum: 2305 H
;Date 2010/9/15
;----------------------------------
;Program Note:
;Fosc/2/divide*(256-TIMER0)=time(us)
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#include "TM57PE10_en.inc"  
	
		org		00h	  
		goto	start 
		
		org		01h 
		goto	isr

;-------------------------------- 
		org		50h	 
start: 								;interrupt Initialization 
		movlw	00000000b
		movwf	INTF				;close all interrupt flag
		
        movlw	00000000b
        movwf 	INTIE 				;close all interrupt
        
		movlw	56
		movwf	TIMER0				;time set   
		
		movlw	00000011b
		movwr	TIM0_CN             ;set divide is 2

		movlw	00010000b
        movwf 	INTIE 				;enable timer0 int       						
main:  
        clrwdt
		nop 

		goto	main
;--------------------------------
;		interrupt
;--------------------------------
isr:
 		movwf	ACC_Save
		movfw	STAT
		movwf	Status_Save

      	btfss	INTF,TMR0F
      	goto 	isr_end	

time0_int:      				;time interrupt0	  
		movlw	11101111b
		movwf	INTF 
		 
        movlw	56+3
		movwf	TIMER0			;scend time set  


isr_end:
		movfw	Status_Save
		movwf	STAT  
		movfw	ACC_Save 
		reti 
	
        end